## class Fl_Pixmap

### Class Hierarchy

    Fl_Image
       |
       +----Fl_Pixmap
               |
               +----Fl_GIF_Image,
                    Fl_XPM_Image

### Include Files

    #include <FL/Fl_Pixmap.H>

### Description

The `Fl_Pixmap` class supports caching and drawing of colormap (pixmap) images, including transparency.

### Methods

- Fl_Pixmap
- ~Fl_Pixmap

#### Fl_Pixmap::Fl_Pixmap(const char * const *data);
Fl_Pixmap::Fl_Pixmap(const char **data);
Fl_Pixmap::Fl_Pixmap(const unsigned char * const *data);
Fl_Pixmap::Fl_Pixmap(const unsigned char **data);

The constructors create a new pixmap from the specified XPM data.

#### Fl_Pixmap::~Fl_Pixmap();

The destructor free all memory and server resources that are used by the pixmap.